summaryrefslogtreecommitdiffstats
path: root/source/n/netkit-rwho
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/n/netkit-rwho
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/n/netkit-rwho')
-rw-r--r--source/n/netkit-rwho/netkit-rwho-0.17.diff10
-rwxr-xr-xsource/n/netkit-rwho/netkit-rwho.SlackBuild76
-rw-r--r--source/n/netkit-rwho/rwhod_getloadavg.diff12
-rw-r--r--source/n/netkit-rwho/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/source/n/netkit-rwho/netkit-rwho-0.17.diff b/source/n/netkit-rwho/netkit-rwho-0.17.diff
new file mode 100644
index 000000000..d0a16c936
--- /dev/null
+++ b/source/n/netkit-rwho/netkit-rwho-0.17.diff
@@ -0,0 +1,10 @@
+--- ./rwhod/rwhod.c.orig Sun Feb 25 18:18:33 2001
++++ ./rwhod/rwhod.c Sun Feb 25 18:19:05 2001
+@@ -51,6 +51,7 @@
+ #include <net/if.h>
+ #include <netinet/in.h>
+ #include <netinet/ip.h>
++#include <time.h>
+
+ #ifndef __linux__
+ #include <nlist.h>
diff --git a/source/n/netkit-rwho/netkit-rwho.SlackBuild b/source/n/netkit-rwho/netkit-rwho.SlackBuild
new file mode 100755
index 000000000..e3b46a49d
--- /dev/null
+++ b/source/n/netkit-rwho/netkit-rwho.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Copyright 2007-2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=0.17
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-netkit-rwho
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf netkit-rwho-$VERSION
+tar xzvf $CWD/netkit-rwho-$VERSION.tar.gz || exit 1
+cd netkit-rwho-$VERSION
+chown -R root:root .
+zcat $CWD/netkit-rwho-0.17.diff.gz | patch -p1 || exit
+zcat $CWD/rwhod_getloadavg.diff.gz | patch -p0 || exit
+./configure --prefix=/usr
+make || exit 1
+cd rwho
+strip rwho
+mkdir -p $PKG/usr/bin
+cat rwho > $PKG/usr/bin/rwho
+chmod 755 $PKG/usr/bin/rwho
+mkdir -p $PKG/usr/man/man{1,8}
+cat rwho.1 | gzip -9c > $PKG/usr/man/man1/rwho.1.gz
+cd ../rwhod
+strip rwhod
+mkdir -p $PKG/usr/sbin
+cat rwhod > $PKG/usr/sbin/rwhod
+chmod 755 $PKG/usr/sbin/rwhod
+cat rwhod.8 | gzip -9c > $PKG/usr/man/man8/rwhod.8.gz
+cd ../ruptime
+strip ruptime
+mkdir -p $PKG/usr/bin
+cat ruptime > $PKG/usr/bin/ruptime
+chmod 755 $PKG/usr/bin/ruptime
+cat ruptime.1 | gzip -9c > $PKG/usr/man/man1/ruptime.1.gz
+cd ..
+mkdir -p $PKG/usr/doc/netkit-rwho-$VERSION
+cp -a README $PKG/usr/doc/netkit-rwho-$VERSION
+chown root:root $PKG/usr/doc/netkit-rwho-$VERSION/*
+chmod 644 $PKG/usr/doc/netkit-rwho-$VERSION/*
+mkdir -p $PKG/var/spool/rwho
+
+# Finish up the package:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg -l y -c n $TMP/netkit-rwho-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/n/netkit-rwho/rwhod_getloadavg.diff b/source/n/netkit-rwho/rwhod_getloadavg.diff
new file mode 100644
index 000000000..0a8fd7d2c
--- /dev/null
+++ b/source/n/netkit-rwho/rwhod_getloadavg.diff
@@ -0,0 +1,12 @@
+--- rwhod/rwhod.c.orig 2007-05-31 00:35:32.301647500 +0000
++++ rwhod/rwhod.c 2008-12-14 23:14:32.387912500 +0000
+@@ -63,7 +63,9 @@
+ #include <syslog.h>
+ #include <protocols/rwhod.h>
+ #include <stdio.h>
++#undef __USE_BSD
+ #include <stdlib.h>
++#define __USE_BSD
+ #include <paths.h>
+ #include <unistd.h>
+ #include <string.h>
diff --git a/source/n/netkit-rwho/slack-desc b/source/n/netkit-rwho/slack-desc
new file mode 100644
index 000000000..22e21eff9
--- /dev/null
+++ b/source/n/netkit-rwho/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+netkit-rwho: netkit-rwho (who is logged in on local machines)
+netkit-rwho:
+netkit-rwho: The rwho command produces output similar to who, but for all machines
+netkit-rwho: on the local network. If no report has been received from a machine
+netkit-rwho: for 11 minutes then rwho assumes the machine is down, and does not
+netkit-rwho: report users last known to be logged into that machine. If a users
+netkit-rwho: hasn't typed to the system for a minute or more, then rwho reports
+netkit-rwho: this idle time. If a user hasn't typed to the system for an hour or
+netkit-rwho: more, then the user will be omitted from the output of rwho unless
+netkit-rwho: the -a flag is given.
+netkit-rwho: